Summary: VIsual editor iMproved
Name: vim
Version: 5.4
Release: 1
Group: Applications/Editors
Copyright: freeware
Url: http://www.vim.org
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.home.vim.org/pub/vim/unix/vim-%{version}-src.tar.gz
Source1: ftp://ftp.home.vim.org/pub/vim/unix/vim-%{version}-rt.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
The VIsual editor iMproved is an updated and feature-added clone of the 'vi' 
editor that comes with almost all UN*X systems. It adds multiple windows,
multi-level undo, block highliting, and many other features to the standard
vi program.


%prep
%setup -q -b 1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr  --exec-prefix=/ \
	--without-x --disable-gui --with-tlib=termcap \
	--enable-multibyte --disable-gpm
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT install

# Fix some paths in man pages
perl -pi -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT/usr/man/man1/*

# Fix perl path, then disable RPM from finding requirements for them
perl -pi -e 's|^#!.*perl|#!/usr/bin/perl|' `find $RPM_BUILD_ROOT -name \*.pl`
chmod 644 $RPM_BUILD_ROOT/usr/share/vim/vim54/{tools,doc}/*

# Create vi links
ln -s vim $RPM_BUILD_ROOT/bin/vi
ln -s vim.1 $RPM_BUILD_ROOT/usr/man/man1/vi.1

# ctags is provided as a standalone package
rm -f $RPM_BUILD_ROOT/{bin/[ce]tags,usr/man/man1/[ce]tags.1}

# Setup global default /usr/share/vim/vimrc
cat > $RPM_BUILD_ROOT/usr/share/vim/vimrc <<EOF
set nocompatible
set bs=2
set noai
set ruler
syntax off
EOF


%files
%defattr(-,root,root)
%doc README.txt README_src.txt
/bin/*
/usr/share/vim
/usr/man/man1/*


%clean
rm -rf $RPM_BUILD_ROOT
